package com.gic.haoban.manage.api.qdto.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class GroupChatActivitySearchQDTO implements Serializable {
    private static final long serialVersionUID = 692426229105512689L;

    private String wxEnterpriseId;
    /**
     * 搜索内容
     */
    private String search;
    /**
     * 状态1未开始2进行中3已终止4已结束
     */
    private Integer status;

    /**
     * 奖励类型 1定额奖励2阶梯奖励
     */
    private Integer inviteRewardType;

    /**
     * 入群方式 1规则入群2定向入群
     */
    private Integer joinType;
    /**
     * 开始时间
     */
    private Date beginDate;
    /**
     * 结束时间
     */
    private Date endDate;

    /**
     * 创建人id列表
     */
    private List<String> creatorIdList;

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getInviteRewardType() {
        return inviteRewardType;
    }

    public void setInviteRewardType(Integer inviteRewardType) {
        this.inviteRewardType = inviteRewardType;
    }

    public Integer getJoinType() {
        return joinType;
    }

    public void setJoinType(Integer joinType) {
        this.joinType = joinType;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public List<String> getCreatorIdList() {
        return creatorIdList;
    }

    public void setCreatorIdList(List<String> creatorIdList) {
        this.creatorIdList = creatorIdList;
    }
}

